package com.chenyang.nse.bussiness.entity.param.filesystem;

import com.chenyang.nse.bussiness.entity.orm.table.core.file.TCoreFileStructure;
import com.chenyang.nse.bussiness.entity.orm.table.core.file.TCoreFileStructurecolumn;
import com.chenyang.nse.bussiness.entity.orm.table.core.file.TCoreFileStructurespliter;
import com.chenyang.nse.bussiness.entity.orm.table.core.file.TCoreFileStructurewidth;
import java.util.List;

public class DemoFileImportParam {
   private TCoreFileStructure filestructure;
   private List<TCoreFileStructurecolumn> filestructurecolumn;
   private TCoreFileStructurespliter filestructurespliter;
   private TCoreFileStructurewidth filestructurewidth;

   public DemoFileImportParam() {
   }

   public DemoFileImportParam(TCoreFileStructure filestructure, List<TCoreFileStructurecolumn> filestructurecolumn, TCoreFileStructurespliter filestructurespliter, TCoreFileStructurewidth filestructurewidth) {
      this.filestructure = filestructure;
      this.filestructurecolumn = filestructurecolumn;
      this.filestructurespliter = filestructurespliter;
      this.filestructurewidth = filestructurewidth;
   }

   public TCoreFileStructure getFilestructure() {
      return this.filestructure;
   }

   public void setFilestructure(TCoreFileStructure filestructure) {
      this.filestructure = filestructure;
   }

   public List<TCoreFileStructurecolumn> getFilestructurecolumn() {
      return this.filestructurecolumn;
   }

   public void setFilestructurecolumn(List<TCoreFileStructurecolumn> filestructurecolumn) {
      this.filestructurecolumn = filestructurecolumn;
   }

   public TCoreFileStructurespliter getFilestructurespliter() {
      return this.filestructurespliter;
   }

   public void setFilestructurespliter(TCoreFileStructurespliter filestructurespliter) {
      this.filestructurespliter = filestructurespliter;
   }

   public TCoreFileStructurewidth getFilestructurewidth() {
      return this.filestructurewidth;
   }

   public void setFilestructurewidth(TCoreFileStructurewidth filestructurewidth) {
      this.filestructurewidth = filestructurewidth;
   }
}
